using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FYEDrawDemo_CSharp
{
    public partial class AreaPropForm : Form
    {
        public int m_iSeqNum;
        public int m_isFill;
        public int m_iFillColor;

        public AreaPropForm()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            m_iSeqNum = Int32.Parse(txtSeqNum.Text);
            m_isFill = chkFill.Checked ? 1 : 0;
            m_iFillColor = Int32.Parse(txtFillColor.Text);

            this.DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void AreaPropForm_Load(object sender, EventArgs e)
        {
            txtSeqNum.Text = string.Format("{0}",m_iSeqNum);
            chkFill.Checked = m_isFill != 0;
            txtFillColor.Text = string.Format("{0}", m_iFillColor);
        }
    }
}
